# Jaxer.SMTP.MailMessage : Object
Return to: Jaxer Framework index

A structure holding email message information.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.SMTP.MailMessage Constructor() : Jaxer.SMTP.MailMessage A structure holding email message information | Show Details | 1.0 | no

### Jaxer.SMTP.MailMessage() : Jaxer.SMTP.MailMessage

A structure holding email message information

Returns

Jaxer.SMTP.MailMessage | Returns an instance of MailMessage.

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
addRecipient(String recipient) : void Adds a recipient to the message | Show Details | 1.0 | no

Parameters

String | recipient | The email address

setBody(String body) : void Sets the body (contents) of the message | Show Details | 1.0 | no

Parameters

String | body | The text of the message

setDate(Object date) : void Sets the timestamp on the message | Show Details | 1.0 | no

Parameters

Object | date | The date it's sent

setFrom(String from) : void Sets the "From" address on the message | Show Details | 1.0 | no

Parameters

String | from | The email address from which this message is coming

setSubject(String subject) : void Sets the "Subject" of the message | Show Details | 1.0 | no

Parameters

String | subject | The subject text

aptana_docs